Subject: Re: bug#9085: 'split' feature request: an option to uses e.g. '.001' as first suffix.

From: Jérémy Compostella <[email-masked]>
Date: Mon, 30 Jan 2012 18:33:28 +0100

Pádraig, Jim, others,

- Solution 1:
Pádraig wrotes:
> I wonder might we have a separate option, --suffix-start, and
> theoretically that could accept alphabetic options too?  I'm not
> suggesting we do this, but it's worth discussion.
That's was my first idea but since your first mail subject was "split
--numeric-suffixes=N" I assumed that you already thought about it as a
bad solution. Wrong assumption I guess.

- Solution 2:
Pádraig wrotes:
> Thinking a bit more about it, it's probably worth to split the short
> and long options. Have -d not take a param as before, and have
> --numeric-suffixes take an optional param.
> To do this, leave 'optional_argument' in the long_opts array, and just
> remove the :: from the getopts call.

Personally, I do prefer the "Solution 1" since the result looks more
consistent, more powerful andf does not change anything to the current
options.

However, it needs more work. It's a very particular week for me
and I will probably miss time and energy to work on this solution before
next week-end.

Anyway, we can talk about the best solution to implement so let me know.

- Note:
Pádraig wrotes:
> Note the SIZE_MAX/sizeof(size_t) restriction was on the -a option, as
> that is later used in a malloc. For -d there would be no such
> restriction, so I'd just use xstrtoumax() != LONGINT_OK
OK, thanks for the note and explanation, I will take this into account.

Cheers,

Jérémy